Package Details: mpv-git 0.29.0_408_g3a035f2a8c-1

Git Clone URL: https://aur.archlinux.org/mpv-git.git (read-only)
Package Base: mpv-git
Description: Video player based on MPlayer/mplayer2 (git version)
Upstream URL: https://mpv.io
Keywords: media player video
Licenses: GPL
Conflicts: mpv
Provides: mpv
Submitter: rpolzer
Maintainer: qmega
Last Packager: qmega
Votes: 196
Popularity: 1.143165
First Submitted: 2012-12-04 09:21
Last Updated: 2019-09-14 18:02

Required by (137)

Sources (3)

Latest Comments

« First ‹ Previous ... 22 23 24 25 26 27

Nothing4You commented on 2013-04-01 23:02

==> Starting make...
Unknown parameter: --disable-apple-remote
==> ERROR: A failure occurred in build().
Aborting...

related to: https://github.com/mpv-player/mpv/commit/c8fd9e50e47838bbdb0dc5e0b974091312cb8833

Nothing4You commented on 2013-04-01 23:02

==> Starting make...
Unknown parameter: --disable-apple-remote
==> ERROR: A failure occurred in build().
Aborting...

rpolzer commented on 2013-02-09 20:16

Yes, did exactly that. Thanks!

asdf-chan commented on 2013-02-07 20:59

As timofonic has said already, it's failing to build. It's related to this commit: https://github.com/mpv-player/mpv/commit/37c5c114af8b4747dfa0664bf967958baa9a1c91

>Remove BSD legacy TV/radio support (BT848 stuff)
>>FreeBSD actually supports V4L2, and V4L2 supports this chip. Also, this chip is from 1997. Farewell.

A quick fix would be deleting the 55th line with "--disable-radio-bsdbt848". Actually, it builds correctly if you delete that line.

Regards, _asdf

timofonic commented on 2013-02-07 07:37

I'm unable to build this package. I installed ffmpeg-full-git too (but fixed it in ffmpeg-full-git-fixed, because unable to build it).


# packer -S mpv-git

Aur Targets (1): mpv-git

Proceed with installation? [Y/n]

Edit mpv-git PKGBUILD with $EDITOR? [Y/n] n
Edit mpv.install with $EDITOR? [Y/n] n
==> Determining latest git revision...
-> Version found: 20130207
==> Making package: mpv-git 20130207-1 (Thu Feb 7 08:30:32 CET 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Found mpv.install
-> Found mpv.desktop
==> Validating source files with md5sums...
mpv.install ... Passed
mpv.desktop ... Passed
==> Extracting Sources...
==> Removing existing pkg/ directory...
==> Starting build()...
==> Connecting to GIT server....
remote: Counting objects: 109, done.
remote: Compressing objects: 100% (9/9), done.
remote: Total 74 (delta 63), reused 74 (delta 63)
Unpacking objects: 100% (74/74), done.
From https://github.com/mpv-player/mpv
630a2b1..ae070a6 master -> origin/master
First, rewinding head to replay your work on top of it...
Fast-forwarded master to ae070a6f1eff9f38dcd3ec785dd1f251e3761472.
==> The local files are updated.
==> GIT checkout done or server timeout
==> Starting make...
Unknown parameter: --disable-radio-bsdbt848
==> ERROR: A failure occurred in build().
Aborting...
The build failed.

rpolzer commented on 2013-01-24 09:50

I am currently trying to get this patch upstream. It shouldn't be THAT hard... but I am waiting at the moment, as someone said they have a patch that will support BOTH libcdio versions. For now, I committed an adjusted configure check that disables the new version of libcdio.

flocke commented on 2013-01-24 09:44

I don't think you need to rewrite the patch, the version from mplayer2-git works just fine with mpv. I just compiled it with the patch.

Weegee commented on 2013-01-22 23:31

Okay, it seems like the new libcdio API needs a patch (as seen here: https://aur.archlinux.org/packages/mplayer2-git/).

I just added "-disable-libcdio" to the PKGBUILD though since I don't need CD support, but I guess a rewrite of the patch in the mplayer2-git tarball should do it. I'm just too lazy right now ...

Weegee commented on 2013-01-22 23:16

Doesn't build on my system:

stream/stream_cdda.c:20:23: fatal error: cdio/cdda.h: No such file or directory

I have libcdio 0.90-2 and libcdio-paranoia 10.2+0.90-1 installed though ...